Debian Bug report logs - #519826
xmlroff: compat stylesheet does not handle RDF gracefully

version graph

Package: xmlroff; Maintainer for xmlroff is Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>; Source for xmlroff is src:xmlroff.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Sun, 15 Mar 2009 15:03:01 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version xmlroff/0.6.2-1

Forwarded to http://www.xmlroff.org/ticket/140

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#519826; Package xmlroff. (Sun, 15 Mar 2009 15:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Sun, 15 Mar 2009 15:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xmlroff: compat stylesheet does not handle RDF gracefully
Date: Sun, 15 Mar 2009 15:01:55 +0000
[Message part 1 (text/plain, inline)]
Package: xmlroff
Version: 0.6.2-1
Severity: normal
Tags: patch

When I try to transform an XSL-FO file containing RDF metadata, xmlroff
complains:

  lakeview ok % xmlroff cn.fo                                          
  runtime error: file cn.fo line 197 element attribute
  xsl:attribute: The QName 'rdf:about' has no namespace binding in scope in the stylesheet; this is an error, since the namespace was not specified by the instruction itself.
  
  (xmlroff:23701): libfo-CRITICAL **: fo_xml_doc_set_base: assertion `fo_xml_doc != NULL' failed
  
  (xmlroff:23701): libfo-WARNING **: FoXsltTransformer error:: XSLT transform failed

The RDF metadata is embedded with a fo:declarations block so that fop
can pick it up and generate proper metadata (XMP and /Info) for the PDF.
The XSL-FO input file is the cn.fo.bz2 file from #519825.

It appears that this is due to using xsl:attribute and xsl:value-of to
copy an attribute instead of using xsl:copy-of.  I've attached a patch
to fix two of those places.  One of them is unlikely to cause any
problems because it only works on attributes with known-names;
nevertheless, using xsl:copy-of is more idiomatic, so I've fixed it.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-rc7-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xmlroff depends on:
ii  libc6                       2.9-5        GNU C Library: Shared libraries
ii  libcairo2                   1.8.6-2+b1   The Cairo 2D vector graphics libra
ii  libglib2.0-0                2.20.0-1     The GLib library of C routines
ii  libgnomeprint2.2-0          2.18.6-1     The GNOME 2.2 print architecture -
ii  libgtk2.0-0                 2.14.7-4+b1  The GTK+ graphical user interface 
ii  libpango1.0-0               1.22.4-2     Layout and rendering of internatio
ii  libxml2                     2.7.3.dfsg-1 GNOME XML library
ii  libxslt1.1                  1.1.24-2     XSLT processing library - runtime 
ii  xml-core                    0.12         XML infrastructure and XML catalog

xmlroff recommends no packages.

xmlroff suggests no packages.

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[compat.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'http://www.xmlroff.org/ticket/140'. Request was from Daniel Leidert (dale) <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Sat, 22 Aug 2009 12:27:11 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 07 Sep 2009 18:03:54 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:36:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.